<template>
  <b-badge :variant="variant" style="text-transform: uppercase;">{{
    title
  }}</b-badge>
</template>

<script>
export default {
  props: {
    type: {
      type: String,
      required: true,
    },
  },
  data() {
    return {
      variants: {
        PLAIN: 'light',
        PLURAL: 'primary',
        MARKDOWN: 'secondary',
      },
      titles: {
        PLAIN: 'Simple Text',
        PLURAL: 'Pluralization',
        MARKDOWN: 'Markdown',
      },
    };
  },
  computed: {
    variant() {
      return this.variants[this.type] || 'secondary';
    },
    title() {
      return this.titles[this.type] || this.type;
    },
  },
};
</script>
